Bug 13924 - Xv not work
Summary: Xv not work
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: xf86-video-ati maintainers
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
: 15039 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-01-04 06:33 UTC by Valery Inozemtsev
Modified: 2018-06-12 19:06 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf (2.02 KB, text/plain)
2008-01-04 06:34 UTC, Valery Inozemtsev
no flags Details
Xorg.0.log depth 16 (9.05 KB, application/octet-stream)
2008-01-04 06:36 UTC, Valery Inozemtsev
no flags Details
Xorg.0.log depth 24 (9.05 KB, application/octet-stream)
2008-01-04 06:37 UTC, Valery Inozemtsev
no flags Details
xrandr output (440 bytes, text/plain)
2008-01-19 07:07 UTC, Valery Inozemtsev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valery Inozemtsev 2008-01-04 06:33:23 UTC
Xv not work with ColorDepth 16
Comment 1 Valery Inozemtsev 2008-01-04 06:34:37 UTC
Created attachment 13519 [details]
xorg.conf

config file
Comment 2 Valery Inozemtsev 2008-01-04 06:36:17 UTC
Created attachment 13520 [details]
Xorg.0.log depth 16

log file ColorDepth = 16
Comment 3 Valery Inozemtsev 2008-01-04 06:37:07 UTC
Created attachment 13521 [details]
Xorg.0.log depth 24

log file ColorDepth = 24
Comment 4 Michel Dänzer 2008-01-04 06:46:32 UTC
Define "doesn't work" - what happens when you try to use it?
Comment 5 Valery Inozemtsev 2008-01-04 12:05:00 UTC
got blue/green screen instead of picture when playing video with xine/gstreamer over Xv with colordepth 16. all seems ok with colordepth 24
Comment 6 Benjamin Close 2008-01-11 02:39:21 UTC
Bugzilla Upgrade Mass Bug Change

NEEDSINFO state was removed in Bugzilla 3.x, reopening any bugs previously listed as NEEDSINFO.

  - benjsc
    fd.o Wrangler
Comment 7 Michel Dänzer 2008-01-19 06:47:48 UTC
I can't reproduce this with an RV350. Maybe your card needs different treatment for the colour key in depth 16. Just in case though, could you attach (uncompressed please) the output of xrandr when the problem occurs?
Comment 8 Valery Inozemtsev 2008-01-19 07:07:48 UTC
Created attachment 13792 [details]
xrandr output

xf86-video-ati GIT snapshot 2008-01-19 (7238258c12def8ef273e5362f716d165f720c5a5)
Comment 9 Michael Shigorin 2008-02-11 04:32:04 UTC
I can confirm that 6.7.197-alt11 build would do blue area (mplayer via xv in 16bpp on Radeon Mobility 7000/M6), while 6.6.3-alt5 would work just fine.

What info can I provide to help get this regression fixed?
Comment 10 Alex Deucher 2008-02-11 07:06:51 UTC
(In reply to comment #9)
> I can confirm that 6.7.197-alt11 build would do blue area (mplayer via xv in
> 16bpp on Radeon Mobility 7000/M6), while 6.6.3-alt5 would work just fine.
> 
> What info can I provide to help get this regression fixed?
> 

Are you sure this isn't an issue of the overlay ending up on the wrong crtc?  Do you have the same problem at both depth 16 and depth 24? Do any of the following commands help?

xvattr -a XV_CRTC -v 1
xvattr -a XV_CRTC -v 0
Comment 11 Michel Dänzer 2008-02-11 16:08:13 UTC
(In reply to comment #10)
> 
> Are you sure this isn't an issue of the overlay ending up on the wrong crtc? 

That's what I thought, but the attached xrandr output shows only one CRTC enabled. 

> Do you have the same problem at both depth 16 and depth 24?

Depth 24 is fine according to comment #5.

Would be great if somebody who can reproduce the problem would try and bisect where it was introduced.
Comment 12 Alex Deucher 2008-03-17 09:17:14 UTC
*** Bug 15039 has been marked as a duplicate of this bug. ***
Comment 13 Valery Inozemtsev 2008-03-17 14:00:40 UTC
(In reply to comment #11)
> Would be great if somebody who can reproduce the problem would try and
> bisect where it was introduced.

reproduce on cc8e1d95f1b90a259beea4e8cc4d7e29af660919
work on 1de52d91ff3a04b9b587b858e1e5be40d3a7fd0a
Comment 14 Valery Inozemtsev 2008-03-17 14:02:00 UTC
xvattr doesn't help at all
Comment 15 Jeremy Jackson 2008-03-17 15:26:52 UTC
My git master from a couple days ago, Radeon Mobility 7500, I tried textured video, and it works at depth16.  regular Xv doesn't work at depth 16, i get the blue overlay background.

I tried both xvattr commands, both while vlc player stopped, and while video (failed) playing, no change.

enabling s-video output, initially sets clone mode, no help.  doing xrandr --output S-video --right-of LVDS makes video appear.
Comment 16 Alex Deucher 2008-03-17 16:00:57 UTC
(In reply to comment #15)
> enabling s-video output, initially sets clone mode, no help.  doing xrandr
> --output S-video --right-of LVDS makes video appear.
> 

Does that make the video appear initially on S-video or LVDS?
Comment 17 Jeremy Jackson 2008-03-17 16:23:38 UTC
I am running VLC, it's window is on LVDS display, and that's where the video appears.
Comment 18 Alex Deucher 2008-03-20 13:44:37 UTC
Does disabling AIGLX or setting Option "VideoKey" "0x01" help?

Looks similar to this bug:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/150519
Comment 19 Valery Inozemtsev 2008-03-21 00:04:27 UTC
doesn't help
Comment 20 Adam Jackson 2018-06-12 19:06:39 UTC
Mass closure: This bug has been untouched for more than six years, and is not
obviously still valid. Please reopen this bug or file a new report if you continue to experience issues with current releases.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.